0
$\begingroup$

I have a project I need Pillow for. Is there a way to install it into blender 2.77a? The pillow windows installer just finds a python version if I install one seperatly. If I can not install "pillow" directly, is there a way to use the pre-installed python 3.5.1?
I already tried to delete the python directory and to copy the site-packages.

Other solutions found on Stack-Exchange do not work for me, maybe they do not work for Windows, maybe not for blender 2.77a.

$\endgroup$
1
$\begingroup$

It's just a guess, but you might want to use a external Python 3 for using Blender scripts instead of the bundled one. Since the installer does automatically set the registry, Pillow'll probably recognize it.

$\endgroup$
  • $\begingroup$ That is probably the case. How do I use an external python version @Gustavo6046? $\endgroup$ – schustudrai Apr 23 '16 at 5:02
  • $\begingroup$ @schustudrai This might also help. $\endgroup$ – Gustavo6046 Apr 23 '16 at 12:19
  • $\begingroup$ With the solution there I can import PIL, but as soon as I try importing anything else I get another error: ImportError: DLL load failed: %1 is not a valid Win32 application. $\endgroup$ – schustudrai Apr 23 '16 at 18:43
  • $\begingroup$ Reinstalling Python and Pillow helped the issue. $\endgroup$ – schustudrai Apr 23 '16 at 18:49

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.